# Material Design Lite for React JS

> Material Design Lite for React JS lets you add a Material Design look and feel to your websites using the React framework.

[You can find documentation and examples here](https://zarxor.github.io/mdl-reactjs/docs/)

## Usage ##
To install run
```jsx
npm install mdl-reactjs
```
How to include in project
```jsx
var MDL = require('mdl-reactjs');
var Button = MDL.Button;
var Card = MDL.Card;
```

Include the MDL css and js in your project
```
<!-- Material design lite stylesheet, icons and javascript -->
<link rel="stylesheet" href="//storage.googleapis.com/code.getmdl.io/1.0.4/material.indigo-pink.min.css">
<link rel="stylesheet" href="//fonts.googleapis.com/icon?family=Material+Icons">
<script src="//storage.googleapis.com/code.getmdl.io/1.0.4/material.min.js"></script>
```

### How to run the demo / documentation ###
```
npm install
gulp
// Open http://localhost:8080/
```
## Project status ##
The project is still under development and will be adding features and functions

### Components list / Todo
- [x] Badge [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/badges)] [[getmdl.io](http://www.getmdl.io/components/index.html#badges-section)]
- [x] Buttons [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/buttons)] [[getmdl.io](http://www.getmdl.io/components/index.html#buttons-section)]
- Loading [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/loading)] [[getmdl.io](http://www.getmdl.io/components/index.html#loading-section)]
	- [x] Progress
	- [x] Spinner
- [x] Sliders [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/sliders)] [[getmdl.io](http://www.getmdl.io/components/index.html#sliders-section)]
- [x] Icon [Docs]
- [x] Textfields [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/textfields)] [[getmdl.io](http://www.getmdl.io/components/index.html#textfields-section)]
- [x] Cards [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/cards)] [[getmdl.io](http://www.getmdl.io/components/index.html#cards-section)]
- Layout [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/layout)] [[getmdl.io](http://www.getmdl.io/components/index.html#layout-section)]
	- [x] Header + Rows
	- [x] Drawer
	- [x] Title
	- [x] Content
	- [x] Navigation + Links
	- [x] Grid
	- [ ] Layout Tabs
	- [x] Tabs
	- [ ] Footer
- [x] Menus [[Docs](https://zarxor.github.io/mdl-reactjs/docs/#/menus)] [[getmdl.io](http://www.getmdl.io/components/index.html#menus-section)]
